Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.statsvn.util
Class SvnCommandHelper

    java.lang.Object
      net.sf.statsvn.util.SvnCommandHelper

    public final class SvnCommandHelper

extends Object

Author:
  jpdaigle Utility class to help build svn command strings

Method Summary
`static String` | `getAuthString()` Gets the authentication / non-interactive command part to use when invoking the subversion binary.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getAuthString

    public static String getAuthString()

  Gets the authentication / non-interactive command part to use when invoking the subversion binary.

  Returns:
    A String with the username, password and non-interactive settings

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD